Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageCanvasSource2D Class Reference

`#include <vtkImageCanvasSource2D.h>`

Inheritance diagram for vtkImageCanvasSource2D:

[legend]
Collaboration diagram for vtkImageCanvasSource2D:

[legend]
List of all members.

## Detailed Description

Paints on a canvas.

Date:
  2002/12/11 14:26:22

Revision:
  1.31

vtkImageCanvasSource2D is a source that starts as a blank image. you may add to the image with two-dimensional drawing routines. It can paint multi-spectral images. This object is unusual because it is a data object itself and not a source.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (59%)
  - Martin, Ken (15%)
  - Barre, Sebastien (8%)
  - Lorensen, Bill (7%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageCanvasSource2D.h)`
  - .`cxx` (`/Imaging/vtkImageCanvasSource2D.cxx)`

Examples:
  vtkImageCanvasSource2D (Examples)

Tests:
  vtkImageCanvasSource2D (Tests)

Definition at line 72 of file vtkImageCanvasSource2D.h.

## Public Types
typedef vtkStructuredPoints | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | FillBox (int min0, int max0, int min1, int max1)
void | FillTube (int x0, int y0, int x1, int y1, float radius)
void | FillTriangle (int x0, int y0, int x1, int y1, int x2, int y2)
void | DrawCircle (int c0, int c1, float radius)
void | DrawPoint (int p0, int p1)
void | DrawSegment (int x0, int y0, int x1, int y1)
void | DrawSegment3D (float *p0, float *p1)
void | DrawSegment3D (float x1, float y1, float z1, float x2, float y2, float z2)
void | FillPixel (int x, int y)
vtkImageData * | GetOutput ()
void | SetImageData (vtkImageData *image)
virtual vtkImageData * | GetImageData ()
virtual void | SetDrawColor (float, float, float, float)
virtual void | SetDrawColor (float[4])
virtual float * | GetDrawColor ()
virtual void | GetDrawColor (float &, float &, float &, float &)
virtual void | GetDrawColor (float[4])
void | SetDrawColor (float a)
void | SetDrawColor (float a, float b)
void | SetDrawColor (float a, float b, float c)
void | DrawImage (int x0, int y0, vtkImageData *i)
void | DrawImage (int x0, int y0, vtkImageData *, int sx, int sy, int width, int height)
void | SetExtent (int *extent)
void | SetExtent (int x1, int x2, int y1, int y2, int z1, int z2)
virtual void | SetDefaultZ (int)
virtual int | GetDefaultZ ()
virtual void | SetRatio (float, float, float)
virtual void | SetRatio (float[3])
virtual float * | GetRatio ()
virtual void | GetRatio (float &, float &, float &)
virtual void | GetRatio (float[3])
## Static Public Methods
vtkImageCanvasSource2D * | New ()
int | IsTypeOf (const char *type)
vtkImageCanvasSource2D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageCanvasSource2D ()
| ~vtkImageCanvasSource2D ()
int | ClipSegment (int &a0, int &a1, int &b0, int &b1)
## Protected Attributes
vtkImageData * | ImageData
float | DrawColor [4]
int | DefaultZ
float | Ratio [3]

## Member Typedef Documentation

typedef vtkStructuredPoints vtkImageCanvasSource2D::Superclass

| Reimplemented from vtkStructuredPoints. Definition at line 78 of file vtkImageCanvasSource2D.h.

## Constructor & Destructor Documentation

vtkImageCanvasSource2D::vtkImageCanvasSource2D | ( |  | ) | `[protected]`

vtkImageCanvasSource2D::~vtkImageCanvasSource2D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageCanvasSource2D* vtkImageCanvasSource2D::New | ( |  | ) | `[static]`

| Construct an instance of vtkImageCanvasSource2D with no data. Reimplemented from vtkStructuredPoints.

virtual const char* vtkImageCanvasSource2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredPoints.

int vtkImageCanvasSource2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPoints.

virtual int vtkImageCanvasSource2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPoints.

vtkImageCanvasSource2D* vtkImageCanvasSource2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredPoints.

void vtkImageCanvasSource2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageData.

void vtkImageCanvasSource2D::SetImageData | ( | vtkImageData * | image | ) |

| To draw into a different image, set it with this method.

virtual vtkImageData* vtkImageCanvasSource2D::GetImageData | ( |  | ) | `[virtual]`

| To draw into a different image, set it with this method.

virtual void vtkImageCanvasSource2D::SetDrawColor | ( | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines.

virtual void vtkImageCanvasSource2D::SetDrawColor | ( | float | [4] | ) | `[virtual]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines.

virtual float* vtkImageCanvasSource2D::GetDrawColor | ( |  | ) | `[virtual]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines.

virtual void vtkImageCanvasSource2D::GetDrawColor | ( | float & | ,
|  | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines.

virtual void vtkImageCanvasSource2D::GetDrawColor | ( | float | [4] | ) | `[virtual]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines.

void vtkImageCanvasSource2D::SetDrawColor | ( | float | a | ) | `[inline]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines. Definition at line 92 of file vtkImageCanvasSource2D.h.

void vtkImageCanvasSource2D::SetDrawColor | ( | float | a,
|  | float | b
| ) | `[inline]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines. Definition at line 93 of file vtkImageCanvasSource2D.h.

void vtkImageCanvasSource2D::SetDrawColor | ( | float | a,
|  | float | b,
|  | float | c
| ) | `[inline]`

| Set/Get DrawValue. This is the value that is used when filling data or drawing lines. Definition at line 94 of file vtkImageCanvasSource2D.h.

void vtkImageCanvasSource2D::FillBox | ( | int | min0,
|  | int | max0,
|  | int | min1,
|  | int | max1
| ) |

void vtkImageCanvasSource2D::FillTube | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | float | radius
| ) |

void vtkImageCanvasSource2D::FillTriangle | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |

void vtkImageCanvasSource2D::DrawCircle | ( | int | c0,
|  | int | c1,
|  | float | radius
| ) |

void vtkImageCanvasSource2D::DrawPoint | ( | int | p0,
|  | int | p1
| ) |

void vtkImageCanvasSource2D::DrawSegment | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1
| ) |

void vtkImageCanvasSource2D::DrawSegment3D | ( | float * | p0,
|  | float * | p1
| ) |

void vtkImageCanvasSource2D::DrawSegment3D | ( | float | x1,
|  | float | y1,
|  | float | z1,
|  | float | x2,
|  | float | y2,
|  | float | z2
| ) | `[inline]`

| Definition at line 104 of file vtkImageCanvasSource2D.h.

void vtkImageCanvasSource2D::DrawImage | ( | int | x0,
|  | int | y0,
|  | vtkImageData * | i
| ) | `[inline]`

| Draw subimage of the input image in the canvas at position x0 and y0. The subimage is defined with sx, sy, width, and height. Definition at line 112 of file vtkImageCanvasSource2D.h.

void vtkImageCanvasSource2D::DrawImage | ( | int | x0,
|  | int | y0,
|  | vtkImageData * | ,
|  | int | sx,
|  | int | sy,
|  | int | width,
|  | int | height
| ) |

| Draw subimage of the input image in the canvas at position x0 and y0. The subimage is defined with sx, sy, width, and height.

void vtkImageCanvasSource2D::FillPixel | ( | int | x,
|  | int | y
| ) |

| Fill a colored area with another color. (like connectivity) All pixels connected (and with the same value) to pixel (x, y) get replaced by the current "DrawColor".

vtkImageData* vtkImageCanvasSource2D::GetOutput | ( |  | ) | `[inline]`

| To make Canvas source more like other sources, this get output method should be used. Definition at line 125 of file vtkImageCanvasSource2D.h.

void vtkImageCanvasSource2D::SetExtent | ( | int * | extent | ) |

| These methods also set the WholeExtent of this "DataObject". This is just like vtkImageData. It sets the size of the canvas. Extent is a min max 3D box. Minimums and maximums are inclusive.

void vtkImageCanvasSource2D::SetExtent | ( | int | x1,
|  | int | x2,
|  | int | y1,
|  | int | y2,
|  | int | z1,
|  | int | z2
| ) |

| These methods also set the WholeExtent of this "DataObject". This is just like vtkImageData. It sets the size of the canvas. Extent is a min max 3D box. Minimums and maximums are inclusive. Reimplemented from vtkImageData.

virtual void vtkImageCanvasSource2D::SetDefaultZ | ( | int |  | ) | `[virtual]`

| The drawing operations can only draw into one 2D XY plane at a time. If the canvas is a 3D volume, then this z value is used as the default for 2D operations.

virtual int vtkImageCanvasSource2D::GetDefaultZ | ( |  | ) | `[virtual]`

| The drawing operations can only draw into one 2D XY plane at a time. If the canvas is a 3D volume, then this z value is used as the default for 2D operations.

virtual void vtkImageCanvasSource2D::SetRatio | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get Ratio. This is the value that is used to pre-multiply each (x, y, z) drawing coordinates (including DefaultZ).

virtual void vtkImageCanvasSource2D::SetRatio | ( | float | [3] | ) | `[virtual]`

| Set/Get Ratio. This is the value that is used to pre-multiply each (x, y, z) drawing coordinates (including DefaultZ).

virtual float* vtkImageCanvasSource2D::GetRatio | ( |  | ) | `[virtual]`

| Set/Get Ratio. This is the value that is used to pre-multiply each (x, y, z) drawing coordinates (including DefaultZ).

virtual void vtkImageCanvasSource2D::GetRatio | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get Ratio. This is the value that is used to pre-multiply each (x, y, z) drawing coordinates (including DefaultZ).

virtual void vtkImageCanvasSource2D::GetRatio | ( | float | [3] | ) | `[virtual]`

| Set/Get Ratio. This is the value that is used to pre-multiply each (x, y, z) drawing coordinates (including DefaultZ).

int vtkImageCanvasSource2D::ClipSegment | ( | int & | a0,
|  | int & | a1,
|  | int & | b0,
|  | int & | b1
| ) | `[protected]`

## Member Data Documentation

vtkImageData* vtkImageCanvasSource2D::ImageData`[protected]`

| Definition at line 157 of file vtkImageCanvasSource2D.h.

float vtkImageCanvasSource2D::DrawColor[4]`[protected]`

| Definition at line 158 of file vtkImageCanvasSource2D.h.

int vtkImageCanvasSource2D::DefaultZ`[protected]`

| Definition at line 159 of file vtkImageCanvasSource2D.h.

float vtkImageCanvasSource2D::Ratio[3]`[protected]`

| Definition at line 160 of file vtkImageCanvasSource2D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageCanvasSource2D.h